Subject: RE: [Sip] S-CSCF expected behavior

From: "Andrew Allen" <[email-masked]>
Date: Sat, 15 Jul 2006 11:11:43 -0400

Antonio

I suggest you subscribe to the 3GPP CT1 email list and ask this question there.

http://list.3gpp.org/scripts/wa.exe?SUBED1=3gpp_tsg_ct_wg1&A=1

Andrew

-----Original Message-----
From: António Manuel Amaral [mailto:[email-masked]] 
Sent: Friday, July 14, 2006 6:17 AM
To: [email-masked]
Subject: [Sip] S-CSCF expected behavior

Dear All,

I don't know if this is the correct mailing list to put my question and if not my apologies for that.

Consider the following IMS scenario

(IMS core Network) -> S-CSCF -> AS

If the connection between AS and S-CSCF fails what is the expected behavior of S-CSCF? It must release all active calls sending BYE messages to caller and called clients in order to terminate the calls?

Thanks in advance

Regards

AA 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---------------------------------------------------------------------
This transmission (including any attachments) may contain confidential information, privileged material (including material protected by the solicitor-client or other applicable privileges), or constitute non-public information. Any use of this information by anyone other than the intended recipient is prohibited. If you have received this transmission in error, please immediately reply to the sender and delete this information from your system. Use, dissemination, distribution, or reproduction of this transmission by unintended recipients is not authorized and may be unlawful.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Wed, 19 Jul 2006 16:34:13 +0100

Unless I have misread your question, then RFC 4028, as previously indicated, is your only mechanism on active calls.

regards

Keith

> From: Fatih "Ey|p" NAR [mailto:[email-masked]]
> Sent: 17 July 2006 16:20
> To: Drage, Keith (Keith); "'Antsnio" Manuel Amaral'; [email-masked]'
> Subject: RE: [Sip] S-CSCF expected behavior
> 
> 
> what about active sessions (INVITE transaction
> completed successfully with 200OK-ACK previously) on
> S-CSCF?
> 
> ex: For the prepaid customer type once the connection
> dropped between AS and S-CSCF only way to prevent -
> "minus" credit is to end the session with BYE by S-.
> 
> 
> 
> --- "Drage, Keith (Keith)" <[email-masked]> wrote:
> 
> > To make this directly relevant to SIP, the IMS
> > S-CSCF behaves exactly as specified in RFC 3261. If
> > it has a pending transaction, then section 16.8 and
> > section 16.9 of RFC 3261 apply. 
> > 
> > The session timer (RFC 4028) may optionally be used
> > by any of the IMS entities that behave as a SIP
> > proxy.
> > 
> > regards
> > 
> > Keith
> > 
> > > Sent: 14 July 2006 11:17
> > > I don't know if this is the correct mailing list
> > to put my 
> > > question and if not my apologies for that.
> > > 
> > > If the connection between AS and S-CSCF fails what
> > is the 
> > > expected behavior of S-CSCF? It must release all
> > active calls 
> > > sending BYE messages to caller and called clients
> > in order to 
> > > terminate the calls?
> > > 
> > > Thanks in advance
> > > 
> > > Regards
> > > 
> > > AA 
> > > 
> > > 
> > > 
> > > Sip mailing list 
> > https://www1.ietf.org/mailman/listinfo/sip
> > Sip mailing list 
> > https://www1.ietf.org/mailman/listinfo/sip
> __________________________________________________
> Do You Yahoo!?
> Tired of spam?  Yahoo! Mail has the best spam protection around 
> http://mail.yahoo.com 
>